Subject: bug#23436: [PATCH] Attemp to use the true name of a file to determine responsible vc if the genuine name does not work.

From: Hong Xu <[email-masked]>
Date: Thu, 20 Oct 2016 16:04:02 -0700

On 10/20/2016 03:34 PM, Dmitry Gutov wrote:
> On 20.10.2016 19:39, Hong Xu wrote:
> 
>> Regarding the performance and user options, this might be the best way
>> (or consider adding a function that wraps the two calls). If this is the
>> way to go, can you add a little explanation in the doc string? People
>> may not be aware of it. Thanks.
> 
> Sorry, what might be the best way? A new command? What would you like to
> see clarified in its docstring?

Sorry for the confusion. Either keeping what it was or adding a new
command [which essentially calls (vc-responsible-backend (vc-follow-link
file)) ] would be the best option regarding performance.  e need to
clarify that symlinks are not followed in vc-responsible-backend, and If
the first option is adopted, mention that vc-follow-link should be used
if link following is desired.